add_definitions(-DUSE_FULL_LL_DRIVER)

include_directories(Inc)

file(GLOB FILELIST
Src/*.c
)
add_library(STM32H7xx_HAL_Driver STATIC ${FILELIST})
target_include_directories(STM32H7xx_HAL_Driver PUBLIC ${CMAKE_CURRENT_LIST_DIR})
target_include_directories(STM32H7xx_HAL_Driver PUBLIC ${CMAKE_CURRENT_LIST_DIR}/Inc)

set(CMSIS_PATH ${SDK_PATH}/driver/CMSIS)
set(CMSIS_VENDOR ST)
set(CMSIS_DEVICE stm32h7xx)
target_include_directories(STM32H7xx_HAL_Driver PRIVATE
        ${CMSIS_PATH}/Core
        ${CMSIS_PATH}/Device/${CMSIS_VENDOR}/${CMSIS_DEVICE}/Include
)
